@keyframes scan {
    0% {
        background-position: 0 -200vh;
    }

    35%,
    100% {
        background-position: 0 100vh;
    }
}

* {
    box-sizing: border-box;
    margin: 0;
    /* padding: 0; */
    /* outline: 1px dotted red; */
}

html {
    background-color: black;
    min-height: 90vh;
}

body {
    min-height: 100vh;
    background-color: blue;
    margin: 5px;
    overflow: hidden;
    border-radius: 1em;
    background-color: #131;
    background-image: radial-gradient(ellipse 500% 100% at 50% 90%, transparent, #121);
    background-position: center;
    display: block;
    /* height: 99vh; */
    padding: 2em;
    box-shadow: inset 0 0 10em 1em rgba(0, 0, 0, 0.5);
    overflow: auto;
    font-family: monospace;
    color: rgba(128, 255, 128, 0.8);
    position: relative;
}

body::before {
    /*refresh scan line*/
    position: fixed;
    content: "";
    display: block;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    pointer-events: none;
    background-image: linear-gradient(0deg, transparent 0%, rgba(32, 128, 32, 0.2) 2%, rgba(32, 128, 32, 0.8) 3%, rgba(32, 128, 32, 0.2) 3%, transparent 100%);
    background-repeat: no-repeat;
    animation: scan 7.5s linear 0s infinite;
}

body::after {
    position: fixed;
    content: "";
    display: block;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    pointer-events: none;
    background-image: radial-gradient(ellipse 50% 15% at 50% 15%, rgba(255, 255, 255, 0.05), transparent),
        radial-gradient(ellipse 50% 10% at 50% 12%, rgba(255, 255, 255, 0.1), transparent),
        radial-gradient(ellipse 50% 5% at 50% 10%, rgba(255, 255, 255, 0.1), transparent),
        radial-gradient(ellipse 50% 3% at 50% 9%, rgba(255, 255, 255, 0.1), transparent),
        radial-gradient(ellipse 200% 20% at 50% 0%, rgba(0, 0, 0, 0.5), transparent),
        linear-gradient(0deg, rgba(0, 0, 0, 0.2) 50%, transparent 50%);
    background-size: 100%, 100%, 100%, 100%, 100%, 100% 0.25ch;
}

a {
    color: rgba(128, 255, 128, 0.8);
    text-decoration: none;
}
/* a::after {
    content: " \25B6";
    animation: link_animation 3s infinite;
    position: relative;
}
@keyframes link_animation {
    0% {
        opacity: 0;
        left: 0px;
    }
    50% {
        opacity: 1;
        left: 5px;
    }
    100% {
        opacity: 0;
        left: 0px;      
    }
} */
a:hover {
    color:orange
}
